Bug 854608 - Review Request: python-moksha-wsgi - WSGI components for Moksha
Review Request: python-moksha-wsgi - WSGI components for Moksha
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrick Uiterwijk
Fedora Extras Quality Assurance
:
Depends On: 854605
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-05 08:27 EDT by Ralph Bean
Modified: 2014-11-13 11:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-10 09:42:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puiterwijk: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralph Bean 2012-09-05 08:27:05 EDT
Spec URL: http://threebean.org/rpm/python-moksha-wsgi.spec
SRPM URL: http://threebean.org/rpm/python-moksha-wsgi-1.0.0-1.fc17.src.rpm
Description: WSGI components for Moksha
Fedora Account System Username: ralph

rpmlint output:
python-moksha-wsgi.noarch: E: zero-length /usr/lib/python2.7/site-packages/moksha/wsgi/templates/moksha/livewidget/moksha/widgets/+package+/templates/__init__.py_tmpl
python-moksha-wsgi.noarch: E: zero-length /usr/lib/python2.7/site-packages/moksha/wsgi/tests/templates/empty.mak
python-moksha-wsgi.noarch: E: zero-length /usr/lib/python2.7/site-packages/moksha/wsgi/templates/moksha/livewidget/moksha/widgets/+package+/__init__.py_tmpl
2 packages and 1 specfiles checked; 3 errors, 0 warnings.

koji - f17 - http://koji.fedoraproject.org/koji/taskinfo?taskID=4456763


There already exists a package moksha (version 0.8.8 in rawhide).  I've done work upstream to split it into three different namespace packages to lighten the dependency load on some machines.
Comment 1 Patrick Uiterwijk 2012-09-05 09:12:34 EDT
I'll review this soon.
Comment 2 Ralph Bean 2012-09-05 10:42:48 EDT
New release:  use %{optflags}

Spec URL: http://threebean.org/rpm/python-moksha-wsgi.spec
SRPM URL: http://threebean.org/rpm/python-moksha-wsgi-1.0.0-3.fc17.src.rpm
Comment 3 Ralph Bean 2012-09-06 09:19:32 EDT
FYI, a buildroot override for python-moksha-common has been created which makes this now buildable in koji.  For example:

koji - f17 - http://koji.fedoraproject.org/koji/taskinfo?taskID=4460500
Comment 4 Patrick Uiterwijk 2012-09-07 17:53:25 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistent macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (ASL 2.0)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum.

OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
See below - Package has a correct %clean section. 
See below - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. This spec is not allowed for el5 as it misses the buildroot and %clean sections. 

2. rpmlint says: 
python-moksha-wsgi.noarch: E: zero-length /usr/lib/python2.7/site-packages/moksha/wsgi/templates/moksha/livewidget/moksha/widgets/+package+/templates/__init__.py_tmpl
python-moksha-wsgi.noarch: E: zero-length /usr/lib/python2.7/site-packages/moksha/wsgi/tests/templates/empty.mak
python-moksha-wsgi.noarch: E: zero-length /usr/lib/python2.7/site-packages/moksha/wsgi/templates/moksha/livewidget/moksha/widgets/+package+/__init__.py_tmpl
3 packages and 1 specfiles checked; 3 errors, 0 warnings.

These errors are normal with Python projects.


I see no blockers, so this package is APPROVED.
Comment 5 Ralph Bean 2012-09-07 18:39:45 EDT
New Package SCM Request
=======================
Package Name: python-moksha-wsgi
Short Description: WSGI components for Moksha
Owners: ralph lmacken
Branches: f16 f17 f18 el6
InitialCC:
Comment 6 Gwyn Ciesla 2012-09-08 10:34:27 EDT
Git done (by process-git-requests).
Comment 7 Ralph Bean 2012-09-10 09:42:14 EDT
Updates -> https://admin.fedoraproject.org/updates/python-moksha-wsgi
Comment 8 Ralph Bean 2014-11-12 22:47:24 EST
Package Change Request
======================
Package Name: python-moksha-wsgi
New Branches: epel7
Owners: ralph
InitialCC:
Comment 9 Gwyn Ciesla 2014-11-13 11:38:56 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.